#include "bwcolormapper.hpp"

//
// Schwarz/Weiss-Abbildung fuer alle Werte im Intervall [0; 1].
// Weist dem Wert 0 die Farbe Schwarz zu, allen anderen Werten die Farbe Weiss.
//
QRgb BWColorMapper::map(double v) const
{
    int val = (v == 0 ? 0 : 255);
    return qRgb(val, val, val);
}
