#include "rgbcolormapper.hpp"

//
// Farb-Abbildung fuer alle Werte im Intervall [0; 1].
// Weist dem Wert 0 die Farbe Schwarz zu, dem Wert 1 die Farbe Rot - mit linearer Abstufung dazwischen.
//
QRgb RGBColorMapper::map(double v) const
{
    int hue         = 359 - 359 * v;
    int saturation  = 255;
    int value       = 255 * v;

    return QColor::fromHsv(hue, saturation, value).rgb();
}
